Subject: Re: How do I link programs created with flex and bison.
From: [email-masked] (Mumit Khan)

24 Dec 1998 15:27:57 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Tony Stratton <[email-masked]>
Cc: [email-masked]

On 22 Dec 1998, Tony Stratton wrote:

> I am attempting to link the programs with VC++ instead of gcc, because the resultant .exe is one-tenth the size.
> 

Interesting, since I get similar file sizes after I "strip" the GCC
created executables. The sizes are however quite a bit larger for C++ 
programs since we don't (yet) have a DLL for C++ runtime library.

  $ gcc -o foo foo.c
  $ striop foo.exe

or,

  $ gcc -s -o foo foo.c

Could you please check and see if you still get GCC created executables
that are 10 times larger than VC++ created ones?

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".